Bug 140703 - up2date ignores proxy environment variables when invoked within kickstart %post section
up2date ignores proxy environment variables when invoked within kickstart %po...
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bret McMillan
Red Hat Satellite QA List
Depends On:
Blocks: 191074 191079
  Show dependency treegraph
Reported: 2004-11-24 07:18 EST by Matt Dainty
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-21 12:29:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Dainty 2004-11-24 07:18:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
(Disclaimer: I've noticed this problem using the Whitebox RHEL
rebuild, I haven't had chance to confirm it happens with proper RHEL,
I imagine it does)

I have a Squid proxy set up, with a tendency to retain RPMs for
longer, which I use to fetch package updates through, as opposed to
maintaining my own copies of the whole package trees.

As part of my kickstart %post script, I create /etc/profile.d/proxy.*
files containing the *_proxy environment variables so all shells get
set correctly to use the proxy.

Another thing I do within the %post script is to run 'up2date -f -u'
to pull all of the latest updates in, and I ideally want to use the
proxy for this step so prior to that I source the
/etc/profile.d/proxy.sh to set the correct environment variables.

What I found with some of my kickstart installs was that it was
ignoring the proxy completely and downloading directly from each
package repository.

I traced the difference down to some kickstart scripts where I
explicitly ran '/usr/sbin/up2date', these worked, but the ones where I
just ran 'up2date' relying on the $PATH to do the dirty work, these
didn't work.

Using the Alt+F2 terminal within the installer environment I can
replicate this whilst chrooted into /mnt/sysimage with the proxy
environment variables set:

Works: /usr/sbin/up2date or ./up2date with $PWD == /usr/sbin
Doesn't work: up2date

Once I've rebooted to the installation, up2date works correctly on all
invocations, so it seems to be some strange interaction with the
installation environment.

Workaround is to explicitly state the full path to the up2date binary
in the kickstart script.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Within kickstart %post script, create environment variables
pointing to Squid proxy
2. Run 'up2date -f -u'
3. Examine Squid proxy logs

Actual Results:  Logs show no client access from kickstart client.

Expected Results:  Logs should show kickstart client pulling Yum
headers and RPM packages through proxy, (wherever possible).

Additional info:
Comment 3 Fanny Augustin 2006-04-10 20:23:23 EDT
Blocking rhnupr4u4 and rhnupr3u8 to track the progress of the release
Comment 4 Fanny Augustin 2006-04-13 15:24:55 EDT
Moving bugs to the CanFix List
Comment 5 Fanny Augustin 2006-05-08 15:01:55 EDT
This bug did not make the code freeze and it will not be fiixed during this
release cycle.  Re-aligning bug to the next release
Comment 6 Fanny Augustin 2006-05-08 16:02:43 EDT
This bug did not make the code freeze.  It will not be fixed in this releasee 
Reea ligning to the next one.
Comment 7 RHEL Product and Program Management 2006-07-21 12:29:42 EDT
Development Management has reviewed and declined this request.  You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.